Tod Class Reference

`#include <tod.h>`

Inheritance diagram for Tod:

## Public Member Functions

| Tod (EventContext *context, MOS6526 *parent, uint8_t regs[0x10])
void | reset ()
uint8_t | read (uint_least8_t reg)
void | write (uint_least8_t reg, uint8_t data)
void | setPeriod (event_clock_t clock)

## Detailed Description

TOD implementation taken from Vice.

## Member Function Documentation

## read()

uint8_t Tod::read | ( | uint_least8_t | reg | ) |

Read TOD register.

Parameters

  addr | register register to read

## reset()

void Tod::reset | ( |  | ) |

Reset TOD.

## setPeriod()

void Tod::setPeriod | ( | event_clock_t | clock | ) |

inline

Set TOD period.

Parameters

  clock |

## write()

void Tod::write | ( | uint_least8_t | reg,
|  | uint8_t | data
| ) |  |

Write TOD register.

Parameters

  addr | register to write
  data | value to write

The documentation for this class was generated from the following files:

- tod.h
- tod.cpp